Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP PUT

PUT ivr/:branch/prompt_file

Ostatnia modyfikacja 2026-05-18 13:56:05
Zmiana nagrania.

URL

https://your-system-name.thulium.com/api/ivr/:branch/prompt_file

Parametry

branch

wymagany

Identyfikator gałęzi. Przykładowa wartość: 1-2
token

opcjonalny

Token pliku tymczasowego zwróconego przez zasób pliki tymczasowe. Przykładowa wartość: 180174033853be57b76ed6a

Przykładowy request

PUT https://your-system-name.thulium.com/api/ivr/1-2/prompt_file
Dane {"token":"180174033853be57b76ed6a"}

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '{"token":"180174033853be57b76ed6a"}';

$request = curl_init('https://your-system-name.thulium.com/api/ivr/1-2/prompt_file');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.put("https://your-system-name.thulium.com/api/ivr/1-2/prompt_file", "{\"token\":\"180174033853be57b76ed6a\"}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X PUT -H "Content-type: application/json" -d '{"token":"180174033853be57b76ed6a"}' "https://your-system-name.thulium.com/api/ivr/1-2/prompt_file"

HTTPie
echo '{"token":"180174033853be57b76ed6a"}' | http -a api_user:api_pass PUT https://your-system-name.thulium.com/api/ivr/1-2/prompt_file